IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/60
Addresses2^68
/64 networks16
- Network
2c19:dd:c25b:8480::/60- First address
2c19:dd:c25b:8480::- Last address
2c19:dd:c25b:848f:ffff:ffff:ffff:ffff- Addresses
- 295,147,905,179,352,825,856 (2^68)
- /64 networks (LANs)
- 16
- Full form
2c19:00dd:c25b:8480:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
8.4.8.b.5.2.c.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:c25b:8480::/60 makes 65,536 subnets of /76; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:c25b:8480::/76 | 2c19:dd:c25b:8480:f:ffff:ffff:ffff |
| 2 | 2c19:dd:c25b:8480:10::/76 | 2c19:dd:c25b:8480:1f:ffff:ffff:ffff |
| 3 | 2c19:dd:c25b:8480:20::/76 | 2c19:dd:c25b:8480:2f:ffff:ffff:ffff |
| 4 | 2c19:dd:c25b:8480:30::/76 | 2c19:dd:c25b:8480:3f:ffff:ffff:ffff |
| 5 | 2c19:dd:c25b:8480:40::/76 | 2c19:dd:c25b:8480:4f:ffff:ffff:ffff |
| 6 | 2c19:dd:c25b:8480:50::/76 | 2c19:dd:c25b:8480:5f:ffff:ffff:ffff |
| 7 | 2c19:dd:c25b:8480:60::/76 | 2c19:dd:c25b:8480:6f:ffff:ffff:ffff |
| 8 | 2c19:dd:c25b:8480:70::/76 | 2c19:dd:c25b:8480:7f:ffff:ffff:ffff |
| 9 | 2c19:dd:c25b:8480:80::/76 | 2c19:dd:c25b:8480:8f:ffff:ffff:ffff |
| 10 | 2c19:dd:c25b:8480:90::/76 | 2c19:dd:c25b:8480:9f:ffff:ffff:ffff |
| 11 | 2c19:dd:c25b:8480:a0::/76 | 2c19:dd:c25b:8480:af:ffff:ffff:ffff |
| 12 | 2c19:dd:c25b:8480:b0::/76 | 2c19:dd:c25b:8480:bf:ffff:ffff:ffff |
| 13 | 2c19:dd:c25b:8480:c0::/76 | 2c19:dd:c25b:8480:cf:ffff:ffff:ffff |
| 14 | 2c19:dd:c25b:8480:d0::/76 | 2c19:dd:c25b:8480:df:ffff:ffff:ffff |
| 15 | 2c19:dd:c25b:8480:e0::/76 | 2c19:dd:c25b:8480:ef:ffff:ffff:ffff |
| 16 | 2c19:dd:c25b:8480:f0::/76 | 2c19:dd:c25b:8480:ff:ffff:ffff:ffff |
| 17 | 2c19:dd:c25b:8480:100::/76 | 2c19:dd:c25b:8480:10f:ffff:ffff:ffff |
| 18 | 2c19:dd:c25b:8480:110::/76 | 2c19:dd:c25b:8480:11f:ffff:ffff:ffff |
| 19 | 2c19:dd:c25b:8480:120::/76 | 2c19:dd:c25b:8480:12f:ffff:ffff:ffff |
| 20 | 2c19:dd:c25b:8480:130::/76 | 2c19:dd:c25b:8480:13f:ffff:ffff:ffff |
| 21 | 2c19:dd:c25b:8480:140::/76 | 2c19:dd:c25b:8480:14f:ffff:ffff:ffff |
| 22 | 2c19:dd:c25b:8480:150::/76 | 2c19:dd:c25b:8480:15f:ffff:ffff:ffff |
| 23 | 2c19:dd:c25b:8480:160::/76 | 2c19:dd:c25b:8480:16f:ffff:ffff:ffff |
| 24 | 2c19:dd:c25b:8480:170::/76 | 2c19:dd:c25b:8480:17f:ffff:ffff:ffff |
| 25 | 2c19:dd:c25b:8480:180::/76 | 2c19:dd:c25b:8480:18f:ffff:ffff:ffff |
| 26 | 2c19:dd:c25b:8480:190::/76 | 2c19:dd:c25b:8480:19f:ffff:ffff:ffff |
| 27 | 2c19:dd:c25b:8480:1a0::/76 | 2c19:dd:c25b:8480:1af:ffff:ffff:ffff |
| 28 | 2c19:dd:c25b:8480:1b0::/76 | 2c19:dd:c25b:8480:1bf:ffff:ffff:ffff |
| 29 | 2c19:dd:c25b:8480:1c0::/76 | 2c19:dd:c25b:8480:1cf:ffff:ffff:ffff |
| 30 | 2c19:dd:c25b:8480:1d0::/76 | 2c19:dd:c25b:8480:1df:ffff:ffff:ffff |
| 31 | 2c19:dd:c25b:8480:1e0::/76 | 2c19:dd:c25b:8480:1ef:ffff:ffff:ffff |
| 32 | 2c19:dd:c25b:8480:1f0::/76 | 2c19:dd:c25b:8480:1ff:ffff:ffff:ffff |
| 33 | 2c19:dd:c25b:8480:200::/76 | 2c19:dd:c25b:8480:20f:ffff:ffff:ffff |
| 34 | 2c19:dd:c25b:8480:210::/76 | 2c19:dd:c25b:8480:21f:ffff:ffff:ffff |
| 35 | 2c19:dd:c25b:8480:220::/76 | 2c19:dd:c25b:8480:22f:ffff:ffff:ffff |
| 36 | 2c19:dd:c25b:8480:230::/76 | 2c19:dd:c25b:8480:23f:ffff:ffff:ffff |
| 37 | 2c19:dd:c25b:8480:240::/76 | 2c19:dd:c25b:8480:24f:ffff:ffff:ffff |
| 38 | 2c19:dd:c25b:8480:250::/76 | 2c19:dd:c25b:8480:25f:ffff:ffff:ffff |
| 39 | 2c19:dd:c25b:8480:260::/76 | 2c19:dd:c25b:8480:26f:ffff:ffff:ffff |
| 40 | 2c19:dd:c25b:8480:270::/76 | 2c19:dd:c25b:8480:27f:ffff:ffff:ffff |
| 41 | 2c19:dd:c25b:8480:280::/76 | 2c19:dd:c25b:8480:28f:ffff:ffff:ffff |
| 42 | 2c19:dd:c25b:8480:290::/76 | 2c19:dd:c25b:8480:29f:ffff:ffff:ffff |
| 43 | 2c19:dd:c25b:8480:2a0::/76 | 2c19:dd:c25b:8480:2af:ffff:ffff:ffff |
| 44 | 2c19:dd:c25b:8480:2b0::/76 | 2c19:dd:c25b:8480:2bf:ffff:ffff:ffff |
| 45 | 2c19:dd:c25b:8480:2c0::/76 | 2c19:dd:c25b:8480:2cf:ffff:ffff:ffff |
| 46 | 2c19:dd:c25b:8480:2d0::/76 | 2c19:dd:c25b:8480:2df:ffff:ffff:ffff |
| 47 | 2c19:dd:c25b:8480:2e0::/76 | 2c19:dd:c25b:8480:2ef:ffff:ffff:ffff |
| 48 | 2c19:dd:c25b:8480:2f0::/76 | 2c19:dd:c25b:8480:2ff:ffff:ffff:ffff |
| 49 | 2c19:dd:c25b:8480:300::/76 | 2c19:dd:c25b:8480:30f:ffff:ffff:ffff |
| 50 | 2c19:dd:c25b:8480:310::/76 | 2c19:dd:c25b:8480:31f:ffff:ffff:ffff |
| 51 | 2c19:dd:c25b:8480:320::/76 | 2c19:dd:c25b:8480:32f:ffff:ffff:ffff |
| 52 | 2c19:dd:c25b:8480:330::/76 | 2c19:dd:c25b:8480:33f:ffff:ffff:ffff |
| 53 | 2c19:dd:c25b:8480:340::/76 | 2c19:dd:c25b:8480:34f:ffff:ffff:ffff |
| 54 | 2c19:dd:c25b:8480:350::/76 | 2c19:dd:c25b:8480:35f:ffff:ffff:ffff |
| 55 | 2c19:dd:c25b:8480:360::/76 | 2c19:dd:c25b:8480:36f:ffff:ffff:ffff |
| 56 | 2c19:dd:c25b:8480:370::/76 | 2c19:dd:c25b:8480:37f:ffff:ffff:ffff |
| 57 | 2c19:dd:c25b:8480:380::/76 | 2c19:dd:c25b:8480:38f:ffff:ffff:ffff |
| 58 | 2c19:dd:c25b:8480:390::/76 | 2c19:dd:c25b:8480:39f:ffff:ffff:ffff |
| 59 | 2c19:dd:c25b:8480:3a0::/76 | 2c19:dd:c25b:8480:3af:ffff:ffff:ffff |
| 60 | 2c19:dd:c25b:8480:3b0::/76 | 2c19:dd:c25b:8480:3bf:ffff:ffff:ffff |
| 61 | 2c19:dd:c25b:8480:3c0::/76 | 2c19:dd:c25b:8480:3cf:ffff:ffff:ffff |
| 62 | 2c19:dd:c25b:8480:3d0::/76 | 2c19:dd:c25b:8480:3df:ffff:ffff:ffff |
| 63 | 2c19:dd:c25b:8480:3e0::/76 | 2c19:dd:c25b:8480:3ef:ffff:ffff:ffff |
| 64 | 2c19:dd:c25b:8480:3f0::/76 | 2c19:dd:c25b:8480:3ff:ffff:ffff:ffff |
| 65 | 2c19:dd:c25b:8480:400::/76 | 2c19:dd:c25b:8480:40f:ffff:ffff:ffff |
| 66 | 2c19:dd:c25b:8480:410::/76 | 2c19:dd:c25b:8480:41f:ffff:ffff:ffff |
| 67 | 2c19:dd:c25b:8480:420::/76 | 2c19:dd:c25b:8480:42f:ffff:ffff:ffff |
| 68 | 2c19:dd:c25b:8480:430::/76 | 2c19:dd:c25b:8480:43f:ffff:ffff:ffff |
| 69 | 2c19:dd:c25b:8480:440::/76 | 2c19:dd:c25b:8480:44f:ffff:ffff:ffff |
| 70 | 2c19:dd:c25b:8480:450::/76 | 2c19:dd:c25b:8480:45f:ffff:ffff:ffff |
| 71 | 2c19:dd:c25b:8480:460::/76 | 2c19:dd:c25b:8480:46f:ffff:ffff:ffff |
| 72 | 2c19:dd:c25b:8480:470::/76 | 2c19:dd:c25b:8480:47f:ffff:ffff:ffff |
| 73 | 2c19:dd:c25b:8480:480::/76 | 2c19:dd:c25b:8480:48f:ffff:ffff:ffff |
| 74 | 2c19:dd:c25b:8480:490::/76 | 2c19:dd:c25b:8480:49f:ffff:ffff:ffff |
| 75 | 2c19:dd:c25b:8480:4a0::/76 | 2c19:dd:c25b:8480:4af:ffff:ffff:ffff |
| 76 | 2c19:dd:c25b:8480:4b0::/76 | 2c19:dd:c25b:8480:4bf:ffff:ffff:ffff |
| 77 | 2c19:dd:c25b:8480:4c0::/76 | 2c19:dd:c25b:8480:4cf:ffff:ffff:ffff |
| 78 | 2c19:dd:c25b:8480:4d0::/76 | 2c19:dd:c25b:8480:4df:ffff:ffff:ffff |
| 79 | 2c19:dd:c25b:8480:4e0::/76 | 2c19:dd:c25b:8480:4ef:ffff:ffff:ffff |
| 80 | 2c19:dd:c25b:8480:4f0::/76 | 2c19:dd:c25b:8480:4ff:ffff:ffff:ffff |
| 81 | 2c19:dd:c25b:8480:500::/76 | 2c19:dd:c25b:8480:50f:ffff:ffff:ffff |
| 82 | 2c19:dd:c25b:8480:510::/76 | 2c19:dd:c25b:8480:51f:ffff:ffff:ffff |
| 83 | 2c19:dd:c25b:8480:520::/76 | 2c19:dd:c25b:8480:52f:ffff:ffff:ffff |
| 84 | 2c19:dd:c25b:8480:530::/76 | 2c19:dd:c25b:8480:53f:ffff:ffff:ffff |
| 85 | 2c19:dd:c25b:8480:540::/76 | 2c19:dd:c25b:8480:54f:ffff:ffff:ffff |
| 86 | 2c19:dd:c25b:8480:550::/76 | 2c19:dd:c25b:8480:55f:ffff:ffff:ffff |
| 87 | 2c19:dd:c25b:8480:560::/76 | 2c19:dd:c25b:8480:56f:ffff:ffff:ffff |
| 88 | 2c19:dd:c25b:8480:570::/76 | 2c19:dd:c25b:8480:57f:ffff:ffff:ffff |
| 89 | 2c19:dd:c25b:8480:580::/76 | 2c19:dd:c25b:8480:58f:ffff:ffff:ffff |
| 90 | 2c19:dd:c25b:8480:590::/76 | 2c19:dd:c25b:8480:59f:ffff:ffff:ffff |
| 91 | 2c19:dd:c25b:8480:5a0::/76 | 2c19:dd:c25b:8480:5af:ffff:ffff:ffff |
| 92 | 2c19:dd:c25b:8480:5b0::/76 | 2c19:dd:c25b:8480:5bf:ffff:ffff:ffff |
| 93 | 2c19:dd:c25b:8480:5c0::/76 | 2c19:dd:c25b:8480:5cf:ffff:ffff:ffff |
| 94 | 2c19:dd:c25b:8480:5d0::/76 | 2c19:dd:c25b:8480:5df:ffff:ffff:ffff |
| 95 | 2c19:dd:c25b:8480:5e0::/76 | 2c19:dd:c25b:8480:5ef:ffff:ffff:ffff |
| 96 | 2c19:dd:c25b:8480:5f0::/76 | 2c19:dd:c25b:8480:5ff:ffff:ffff:ffff |
| 97 | 2c19:dd:c25b:8480:600::/76 | 2c19:dd:c25b:8480:60f:ffff:ffff:ffff |
| 98 | 2c19:dd:c25b:8480:610::/76 | 2c19:dd:c25b:8480:61f:ffff:ffff:ffff |
| 99 | 2c19:dd:c25b:8480:620::/76 | 2c19:dd:c25b:8480:62f:ffff:ffff:ffff |
| 100 | 2c19:dd:c25b:8480:630::/76 | 2c19:dd:c25b:8480:63f:ffff:ffff:ffff |
| 101 | 2c19:dd:c25b:8480:640::/76 | 2c19:dd:c25b:8480:64f:ffff:ffff:ffff |
| 102 | 2c19:dd:c25b:8480:650::/76 | 2c19:dd:c25b:8480:65f:ffff:ffff:ffff |
| 103 | 2c19:dd:c25b:8480:660::/76 | 2c19:dd:c25b:8480:66f:ffff:ffff:ffff |
| 104 | 2c19:dd:c25b:8480:670::/76 | 2c19:dd:c25b:8480:67f:ffff:ffff:ffff |
| 105 | 2c19:dd:c25b:8480:680::/76 | 2c19:dd:c25b:8480:68f:ffff:ffff:ffff |
| 106 | 2c19:dd:c25b:8480:690::/76 | 2c19:dd:c25b:8480:69f:ffff:ffff:ffff |
| 107 | 2c19:dd:c25b:8480:6a0::/76 | 2c19:dd:c25b:8480:6af:ffff:ffff:ffff |
| 108 | 2c19:dd:c25b:8480:6b0::/76 | 2c19:dd:c25b:8480:6bf:ffff:ffff:ffff |
| 109 | 2c19:dd:c25b:8480:6c0::/76 | 2c19:dd:c25b:8480:6cf:ffff:ffff:ffff |
| 110 | 2c19:dd:c25b:8480:6d0::/76 | 2c19:dd:c25b:8480:6df:ffff:ffff:ffff |
| 111 | 2c19:dd:c25b:8480:6e0::/76 | 2c19:dd:c25b:8480:6ef:ffff:ffff:ffff |
| 112 | 2c19:dd:c25b:8480:6f0::/76 | 2c19:dd:c25b:8480:6ff:ffff:ffff:ffff |
| 113 | 2c19:dd:c25b:8480:700::/76 | 2c19:dd:c25b:8480:70f:ffff:ffff:ffff |
| 114 | 2c19:dd:c25b:8480:710::/76 | 2c19:dd:c25b:8480:71f:ffff:ffff:ffff |
| 115 | 2c19:dd:c25b:8480:720::/76 | 2c19:dd:c25b:8480:72f:ffff:ffff:ffff |
| 116 | 2c19:dd:c25b:8480:730::/76 | 2c19:dd:c25b:8480:73f:ffff:ffff:ffff |
| 117 | 2c19:dd:c25b:8480:740::/76 | 2c19:dd:c25b:8480:74f:ffff:ffff:ffff |
| 118 | 2c19:dd:c25b:8480:750::/76 | 2c19:dd:c25b:8480:75f:ffff:ffff:ffff |
| 119 | 2c19:dd:c25b:8480:760::/76 | 2c19:dd:c25b:8480:76f:ffff:ffff:ffff |
| 120 | 2c19:dd:c25b:8480:770::/76 | 2c19:dd:c25b:8480:77f:ffff:ffff:ffff |
| 121 | 2c19:dd:c25b:8480:780::/76 | 2c19:dd:c25b:8480:78f:ffff:ffff:ffff |
| 122 | 2c19:dd:c25b:8480:790::/76 | 2c19:dd:c25b:8480:79f:ffff:ffff:ffff |
| 123 | 2c19:dd:c25b:8480:7a0::/76 | 2c19:dd:c25b:8480:7af:ffff:ffff:ffff |
| 124 | 2c19:dd:c25b:8480:7b0::/76 | 2c19:dd:c25b:8480:7bf:ffff:ffff:ffff |
| 125 | 2c19:dd:c25b:8480:7c0::/76 | 2c19:dd:c25b:8480:7cf:ffff:ffff:ffff |
| 126 | 2c19:dd:c25b:8480:7d0::/76 | 2c19:dd:c25b:8480:7df:ffff:ffff:ffff |
| 127 | 2c19:dd:c25b:8480:7e0::/76 | 2c19:dd:c25b:8480:7ef:ffff:ffff:ffff |
| 128 | 2c19:dd:c25b:8480:7f0::/76 | 2c19:dd:c25b:8480:7ff:ffff:ffff:ffff |
| 129 | 2c19:dd:c25b:8480:800::/76 | 2c19:dd:c25b:8480:80f:ffff:ffff:ffff |
| 130 | 2c19:dd:c25b:8480:810::/76 | 2c19:dd:c25b:8480:81f:ffff:ffff:ffff |
| 131 | 2c19:dd:c25b:8480:820::/76 | 2c19:dd:c25b:8480:82f:ffff:ffff:ffff |
| 132 | 2c19:dd:c25b:8480:830::/76 | 2c19:dd:c25b:8480:83f:ffff:ffff:ffff |
| 133 | 2c19:dd:c25b:8480:840::/76 | 2c19:dd:c25b:8480:84f:ffff:ffff:ffff |
| 134 | 2c19:dd:c25b:8480:850::/76 | 2c19:dd:c25b:8480:85f:ffff:ffff:ffff |
| 135 | 2c19:dd:c25b:8480:860::/76 | 2c19:dd:c25b:8480:86f:ffff:ffff:ffff |
| 136 | 2c19:dd:c25b:8480:870::/76 | 2c19:dd:c25b:8480:87f:ffff:ffff:ffff |
| 137 | 2c19:dd:c25b:8480:880::/76 | 2c19:dd:c25b:8480:88f:ffff:ffff:ffff |
| 138 | 2c19:dd:c25b:8480:890::/76 | 2c19:dd:c25b:8480:89f:ffff:ffff:ffff |
| 139 | 2c19:dd:c25b:8480:8a0::/76 | 2c19:dd:c25b:8480:8af:ffff:ffff:ffff |
| 140 | 2c19:dd:c25b:8480:8b0::/76 | 2c19:dd:c25b:8480:8bf:ffff:ffff:ffff |
| 141 | 2c19:dd:c25b:8480:8c0::/76 | 2c19:dd:c25b:8480:8cf:ffff:ffff:ffff |
| 142 | 2c19:dd:c25b:8480:8d0::/76 | 2c19:dd:c25b:8480:8df:ffff:ffff:ffff |
| 143 | 2c19:dd:c25b:8480:8e0::/76 | 2c19:dd:c25b:8480:8ef:ffff:ffff:ffff |
| 144 | 2c19:dd:c25b:8480:8f0::/76 | 2c19:dd:c25b:8480:8ff:ffff:ffff:ffff |
| 145 | 2c19:dd:c25b:8480:900::/76 | 2c19:dd:c25b:8480:90f:ffff:ffff:ffff |
| 146 | 2c19:dd:c25b:8480:910::/76 | 2c19:dd:c25b:8480:91f:ffff:ffff:ffff |
| 147 | 2c19:dd:c25b:8480:920::/76 | 2c19:dd:c25b:8480:92f:ffff:ffff:ffff |
| 148 | 2c19:dd:c25b:8480:930::/76 | 2c19:dd:c25b:8480:93f:ffff:ffff:ffff |
| 149 | 2c19:dd:c25b:8480:940::/76 | 2c19:dd:c25b:8480:94f:ffff:ffff:ffff |
| 150 | 2c19:dd:c25b:8480:950::/76 | 2c19:dd:c25b:8480:95f:ffff:ffff:ffff |
| 151 | 2c19:dd:c25b:8480:960::/76 | 2c19:dd:c25b:8480:96f:ffff:ffff:ffff |
| 152 | 2c19:dd:c25b:8480:970::/76 | 2c19:dd:c25b:8480:97f:ffff:ffff:ffff |
| 153 | 2c19:dd:c25b:8480:980::/76 | 2c19:dd:c25b:8480:98f:ffff:ffff:ffff |
| 154 | 2c19:dd:c25b:8480:990::/76 | 2c19:dd:c25b:8480:99f:ffff:ffff:ffff |
| 155 | 2c19:dd:c25b:8480:9a0::/76 | 2c19:dd:c25b:8480:9af:ffff:ffff:ffff |
| 156 | 2c19:dd:c25b:8480:9b0::/76 | 2c19:dd:c25b:8480:9bf:ffff:ffff:ffff |
| 157 | 2c19:dd:c25b:8480:9c0::/76 | 2c19:dd:c25b:8480:9cf:ffff:ffff:ffff |
| 158 | 2c19:dd:c25b:8480:9d0::/76 | 2c19:dd:c25b:8480:9df:ffff:ffff:ffff |
| 159 | 2c19:dd:c25b:8480:9e0::/76 | 2c19:dd:c25b:8480:9ef:ffff:ffff:ffff |
| 160 | 2c19:dd:c25b:8480:9f0::/76 | 2c19:dd:c25b:8480:9ff:ffff:ffff:ffff |
| 161 | 2c19:dd:c25b:8480:a00::/76 | 2c19:dd:c25b:8480:a0f:ffff:ffff:ffff |
| 162 | 2c19:dd:c25b:8480:a10::/76 | 2c19:dd:c25b:8480:a1f:ffff:ffff:ffff |
| 163 | 2c19:dd:c25b:8480:a20::/76 | 2c19:dd:c25b:8480:a2f:ffff:ffff:ffff |
| 164 | 2c19:dd:c25b:8480:a30::/76 | 2c19:dd:c25b:8480:a3f:ffff:ffff:ffff |
| 165 | 2c19:dd:c25b:8480:a40::/76 | 2c19:dd:c25b:8480:a4f:ffff:ffff:ffff |
| 166 | 2c19:dd:c25b:8480:a50::/76 | 2c19:dd:c25b:8480:a5f:ffff:ffff:ffff |
| 167 | 2c19:dd:c25b:8480:a60::/76 | 2c19:dd:c25b:8480:a6f:ffff:ffff:ffff |
| 168 | 2c19:dd:c25b:8480:a70::/76 | 2c19:dd:c25b:8480:a7f:ffff:ffff:ffff |
| 169 | 2c19:dd:c25b:8480:a80::/76 | 2c19:dd:c25b:8480:a8f:ffff:ffff:ffff |
| 170 | 2c19:dd:c25b:8480:a90::/76 | 2c19:dd:c25b:8480:a9f:ffff:ffff:ffff |
| 171 | 2c19:dd:c25b:8480:aa0::/76 | 2c19:dd:c25b:8480:aaf:ffff:ffff:ffff |
| 172 | 2c19:dd:c25b:8480:ab0::/76 | 2c19:dd:c25b:8480:abf:ffff:ffff:ffff |
| 173 | 2c19:dd:c25b:8480:ac0::/76 | 2c19:dd:c25b:8480:acf:ffff:ffff:ffff |
| 174 | 2c19:dd:c25b:8480:ad0::/76 | 2c19:dd:c25b:8480:adf:ffff:ffff:ffff |
| 175 | 2c19:dd:c25b:8480:ae0::/76 | 2c19:dd:c25b:8480:aef:ffff:ffff:ffff |
| 176 | 2c19:dd:c25b:8480:af0::/76 | 2c19:dd:c25b:8480:aff:ffff:ffff:ffff |
| 177 | 2c19:dd:c25b:8480:b00::/76 | 2c19:dd:c25b:8480:b0f:ffff:ffff:ffff |
| 178 | 2c19:dd:c25b:8480:b10::/76 | 2c19:dd:c25b:8480:b1f:ffff:ffff:ffff |
| 179 | 2c19:dd:c25b:8480:b20::/76 | 2c19:dd:c25b:8480:b2f:ffff:ffff:ffff |
| 180 | 2c19:dd:c25b:8480:b30::/76 | 2c19:dd:c25b:8480:b3f:ffff:ffff:ffff |
| 181 | 2c19:dd:c25b:8480:b40::/76 | 2c19:dd:c25b:8480:b4f:ffff:ffff:ffff |
| 182 | 2c19:dd:c25b:8480:b50::/76 | 2c19:dd:c25b:8480:b5f:ffff:ffff:ffff |
| 183 | 2c19:dd:c25b:8480:b60::/76 | 2c19:dd:c25b:8480:b6f:ffff:ffff:ffff |
| 184 | 2c19:dd:c25b:8480:b70::/76 | 2c19:dd:c25b:8480:b7f:ffff:ffff:ffff |
| 185 | 2c19:dd:c25b:8480:b80::/76 | 2c19:dd:c25b:8480:b8f:ffff:ffff:ffff |
| 186 | 2c19:dd:c25b:8480:b90::/76 | 2c19:dd:c25b:8480:b9f:ffff:ffff:ffff |
| 187 | 2c19:dd:c25b:8480:ba0::/76 | 2c19:dd:c25b:8480:baf:ffff:ffff:ffff |
| 188 | 2c19:dd:c25b:8480:bb0::/76 | 2c19:dd:c25b:8480:bbf:ffff:ffff:ffff |
| 189 | 2c19:dd:c25b:8480:bc0::/76 | 2c19:dd:c25b:8480:bcf:ffff:ffff:ffff |
| 190 | 2c19:dd:c25b:8480:bd0::/76 | 2c19:dd:c25b:8480:bdf:ffff:ffff:ffff |
| 191 | 2c19:dd:c25b:8480:be0::/76 | 2c19:dd:c25b:8480:bef:ffff:ffff:ffff |
| 192 | 2c19:dd:c25b:8480:bf0::/76 | 2c19:dd:c25b:8480:bff:ffff:ffff:ffff |
| 193 | 2c19:dd:c25b:8480:c00::/76 | 2c19:dd:c25b:8480:c0f:ffff:ffff:ffff |
| 194 | 2c19:dd:c25b:8480:c10::/76 | 2c19:dd:c25b:8480:c1f:ffff:ffff:ffff |
| 195 | 2c19:dd:c25b:8480:c20::/76 | 2c19:dd:c25b:8480:c2f:ffff:ffff:ffff |
| 196 | 2c19:dd:c25b:8480:c30::/76 | 2c19:dd:c25b:8480:c3f:ffff:ffff:ffff |
| 197 | 2c19:dd:c25b:8480:c40::/76 | 2c19:dd:c25b:8480:c4f:ffff:ffff:ffff |
| 198 | 2c19:dd:c25b:8480:c50::/76 | 2c19:dd:c25b:8480:c5f:ffff:ffff:ffff |
| 199 | 2c19:dd:c25b:8480:c60::/76 | 2c19:dd:c25b:8480:c6f:ffff:ffff:ffff |
| 200 | 2c19:dd:c25b:8480:c70::/76 | 2c19:dd:c25b:8480:c7f:ffff:ffff:ffff |
| 201 | 2c19:dd:c25b:8480:c80::/76 | 2c19:dd:c25b:8480:c8f:ffff:ffff:ffff |
| 202 | 2c19:dd:c25b:8480:c90::/76 | 2c19:dd:c25b:8480:c9f:ffff:ffff:ffff |
| 203 | 2c19:dd:c25b:8480:ca0::/76 | 2c19:dd:c25b:8480:caf:ffff:ffff:ffff |
| 204 | 2c19:dd:c25b:8480:cb0::/76 | 2c19:dd:c25b:8480:cbf:ffff:ffff:ffff |
| 205 | 2c19:dd:c25b:8480:cc0::/76 | 2c19:dd:c25b:8480:ccf:ffff:ffff:ffff |
| 206 | 2c19:dd:c25b:8480:cd0::/76 | 2c19:dd:c25b:8480:cdf:ffff:ffff:ffff |
| 207 | 2c19:dd:c25b:8480:ce0::/76 | 2c19:dd:c25b:8480:cef:ffff:ffff:ffff |
| 208 | 2c19:dd:c25b:8480:cf0::/76 | 2c19:dd:c25b:8480:cff:ffff:ffff:ffff |
| 209 | 2c19:dd:c25b:8480:d00::/76 | 2c19:dd:c25b:8480:d0f:ffff:ffff:ffff |
| 210 | 2c19:dd:c25b:8480:d10::/76 | 2c19:dd:c25b:8480:d1f:ffff:ffff:ffff |
| 211 | 2c19:dd:c25b:8480:d20::/76 | 2c19:dd:c25b:8480:d2f:ffff:ffff:ffff |
| 212 | 2c19:dd:c25b:8480:d30::/76 | 2c19:dd:c25b:8480:d3f:ffff:ffff:ffff |
| 213 | 2c19:dd:c25b:8480:d40::/76 | 2c19:dd:c25b:8480:d4f:ffff:ffff:ffff |
| 214 | 2c19:dd:c25b:8480:d50::/76 | 2c19:dd:c25b:8480:d5f:ffff:ffff:ffff |
| 215 | 2c19:dd:c25b:8480:d60::/76 | 2c19:dd:c25b:8480:d6f:ffff:ffff:ffff |
| 216 | 2c19:dd:c25b:8480:d70::/76 | 2c19:dd:c25b:8480:d7f:ffff:ffff:ffff |
| 217 | 2c19:dd:c25b:8480:d80::/76 | 2c19:dd:c25b:8480:d8f:ffff:ffff:ffff |
| 218 | 2c19:dd:c25b:8480:d90::/76 | 2c19:dd:c25b:8480:d9f:ffff:ffff:ffff |
| 219 | 2c19:dd:c25b:8480:da0::/76 | 2c19:dd:c25b:8480:daf:ffff:ffff:ffff |
| 220 | 2c19:dd:c25b:8480:db0::/76 | 2c19:dd:c25b:8480:dbf:ffff:ffff:ffff |
| 221 | 2c19:dd:c25b:8480:dc0::/76 | 2c19:dd:c25b:8480:dcf:ffff:ffff:ffff |
| 222 | 2c19:dd:c25b:8480:dd0::/76 | 2c19:dd:c25b:8480:ddf:ffff:ffff:ffff |
| 223 | 2c19:dd:c25b:8480:de0::/76 | 2c19:dd:c25b:8480:def:ffff:ffff:ffff |
| 224 | 2c19:dd:c25b:8480:df0::/76 | 2c19:dd:c25b:8480:dff:ffff:ffff:ffff |
| 225 | 2c19:dd:c25b:8480:e00::/76 | 2c19:dd:c25b:8480:e0f:ffff:ffff:ffff |
| 226 | 2c19:dd:c25b:8480:e10::/76 | 2c19:dd:c25b:8480:e1f:ffff:ffff:ffff |
| 227 | 2c19:dd:c25b:8480:e20::/76 | 2c19:dd:c25b:8480:e2f:ffff:ffff:ffff |
| 228 | 2c19:dd:c25b:8480:e30::/76 | 2c19:dd:c25b:8480:e3f:ffff:ffff:ffff |
| 229 | 2c19:dd:c25b:8480:e40::/76 | 2c19:dd:c25b:8480:e4f:ffff:ffff:ffff |
| 230 | 2c19:dd:c25b:8480:e50::/76 | 2c19:dd:c25b:8480:e5f:ffff:ffff:ffff |
| 231 | 2c19:dd:c25b:8480:e60::/76 | 2c19:dd:c25b:8480:e6f:ffff:ffff:ffff |
| 232 | 2c19:dd:c25b:8480:e70::/76 | 2c19:dd:c25b:8480:e7f:ffff:ffff:ffff |
| 233 | 2c19:dd:c25b:8480:e80::/76 | 2c19:dd:c25b:8480:e8f:ffff:ffff:ffff |
| 234 | 2c19:dd:c25b:8480:e90::/76 | 2c19:dd:c25b:8480:e9f:ffff:ffff:ffff |
| 235 | 2c19:dd:c25b:8480:ea0::/76 | 2c19:dd:c25b:8480:eaf:ffff:ffff:ffff |
| 236 | 2c19:dd:c25b:8480:eb0::/76 | 2c19:dd:c25b:8480:ebf:ffff:ffff:ffff |
| 237 | 2c19:dd:c25b:8480:ec0::/76 | 2c19:dd:c25b:8480:ecf:ffff:ffff:ffff |
| 238 | 2c19:dd:c25b:8480:ed0::/76 | 2c19:dd:c25b:8480:edf:ffff:ffff:ffff |
| 239 | 2c19:dd:c25b:8480:ee0::/76 | 2c19:dd:c25b:8480:eef:ffff:ffff:ffff |
| 240 | 2c19:dd:c25b:8480:ef0::/76 | 2c19:dd:c25b:8480:eff:ffff:ffff:ffff |
| 241 | 2c19:dd:c25b:8480:f00::/76 | 2c19:dd:c25b:8480:f0f:ffff:ffff:ffff |
| 242 | 2c19:dd:c25b:8480:f10::/76 | 2c19:dd:c25b:8480:f1f:ffff:ffff:ffff |
| 243 | 2c19:dd:c25b:8480:f20::/76 | 2c19:dd:c25b:8480:f2f:ffff:ffff:ffff |
| 244 | 2c19:dd:c25b:8480:f30::/76 | 2c19:dd:c25b:8480:f3f:ffff:ffff:ffff |
| 245 | 2c19:dd:c25b:8480:f40::/76 | 2c19:dd:c25b:8480:f4f:ffff:ffff:ffff |
| 246 | 2c19:dd:c25b:8480:f50::/76 | 2c19:dd:c25b:8480:f5f:ffff:ffff:ffff |
| 247 | 2c19:dd:c25b:8480:f60::/76 | 2c19:dd:c25b:8480:f6f:ffff:ffff:ffff |
| 248 | 2c19:dd:c25b:8480:f70::/76 | 2c19:dd:c25b:8480:f7f:ffff:ffff:ffff |
| 249 | 2c19:dd:c25b:8480:f80::/76 | 2c19:dd:c25b:8480:f8f:ffff:ffff:ffff |
| 250 | 2c19:dd:c25b:8480:f90::/76 | 2c19:dd:c25b:8480:f9f:ffff:ffff:ffff |
| 251 | 2c19:dd:c25b:8480:fa0::/76 | 2c19:dd:c25b:8480:faf:ffff:ffff:ffff |
| 252 | 2c19:dd:c25b:8480:fb0::/76 | 2c19:dd:c25b:8480:fbf:ffff:ffff:ffff |
| 253 | 2c19:dd:c25b:8480:fc0::/76 | 2c19:dd:c25b:8480:fcf:ffff:ffff:ffff |
| 254 | 2c19:dd:c25b:8480:fd0::/76 | 2c19:dd:c25b:8480:fdf:ffff:ffff:ffff |
| 255 | 2c19:dd:c25b:8480:fe0::/76 | 2c19:dd:c25b:8480:fef:ffff:ffff:ffff |
| 256 | 2c19:dd:c25b:8480:ff0::/76 | 2c19:dd:c25b:8480:fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |